from enum import Enum, unique


# 异常枚举
@unique
class ExceptionType(Enum):

    PUSH_STREAM_URL_IS_NULL = ("PS000", "推流地址配置不能为空!")

    PULL_STREAM_URL_EXCEPTION = ("PS001", "拉流地址不能为空!")

    PULL_STREAM_URL_NOT_STREAM = ("PS002", "拉流地址未检出到视频流!")

    PUSH_STREAM_URL_EXCEPTION = ("PS003", "推流地址不能为空!")

    TASK_EXCUTE_TIMEOUT_EXCEPTION = ("PS004", "推流任务执行超时!")

    PULL_STREAM_TIMEOUT_EXCEPTION = ("PS005", "通道地址拉流超时!")

    PULL_STREAM_NUM_LIMIT_EXCEPTION = ("PS006", "推流路数超过限制!")

    ILLEGAL_PARAMETER_FORMAT = ("PS007", "推流参数格式非法!")

    NOT_REQUESTID_TASK_EXCEPTION = ("PS993", "未查询到该任务，无法停止任务！")

    GPU_EXCEPTION = ("PS994", "GPU出现异常！")

    NO_RESOURCES = ("PS995", "服务器暂无资源可以使用，请稍后30秒后再试!")

    NO_CPU_RESOURCES = ("PS996", "暂无CPU资源可以使用，请稍后再试!")

    SERVICE_COMMON_EXCEPTION = ("PS997", "公共服务异常!")

    NO_GPU_RESOURCES = ("PS998", "暂无GPU资源可以使用，请稍后再试!")

    SERVICE_INNER_EXCEPTION = ("PS999", "系统内部异常!")
