# -*- coding: utf-8 -*-
from os.path import dirname, realpath
from sys import argv

from loguru import logger

from service.Dispatcher import DispatcherService
from util.LogUtils import init_log

'''
    dsp主程序入口
'''
if __name__ == '__main__':
    base_dir = dirname(realpath(__file__))
    init_log(base_dir)
    logger.info("(♥◠‿◠)ﾉﾞ  DSP【工具服务】开始启动   ლ(´ڡ`ლ)ﾞ")
    # 获取主程序执行根路径
    arg = argv
    logger.info("脚本启动参数: {}", arg)
    envs = ('dev', 'test', 'prod')
    active = [env for env in envs if env in arg]
    DispatcherService(base_dir, active)
