from enum import Enum, unique


@unique
class PushStreamStatus(Enum):
    WAITING = (5, "待推流")

    RETRYING = (10, "重试中")

    RUNNING = (15, "推流中")

    STOPPING = (20, "停止中")

    SUCCESS = (25, "完成")

    TIMEOUT = (30, "超时")

    FAILED = (35, "失败")


@unique
class ExecuteStatus(Enum):
    WAITING = (5, "待执行")

    RUNNING = (10, "执行中")

    STOPPING = (15, "停止中")

    SUCCESS = (20, "执行完成")

    TIMEOUT = (25, "超时")

    FAILED = (30, "失败")
